> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses checkout payments refund



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/checkout-payments/{paymentId}/refund
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/checkout-payments/{paymentId}/refund:
    post:
      tags:
        - BusinessCheckoutPayments
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: paymentId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/SmartbillsDataAccessServicesBillingBillingRefundRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/SmartbillsDataAccessServicesBillingBillingRefundRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/SmartbillsDataAccessServicesBillingBillingRefundRequest
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingRefundResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingRefundResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingRefundResponse
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    SmartbillsDataAccessServicesBillingBillingRefundRequest:
      type: object
      properties:
        amount:
          type: number
          format: double
          nullable: true
        reason:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        initiatedByUserId:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    SmartbillsDataAccessServicesBillingBillingRefundResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````